## org.jfree.xml.util
Interface ObjectFactory

All Known Implementing Classes:
  ObjectFactoryLoader, SimpleObjectFactory

public interface ObjectFactory

An object factory.

Method Summary
`GenericObjectFactory` `getFactoryForClass(java.lang.Class c)` Returns the generic factory for the given class or null, if there is no handler for this class.
`ManualMappingDefinition` `getManualMappingDefinition(java.lang.Class c)` Returns the manual mapping definition for the given class, or null, if not manual definition exists.
`MultiplexMappingDefinition` `getMultiplexDefinition(java.lang.Class c)` Returns the multiplex definition for the given class, or null, if no such definition exists.
`boolean` `isGenericHandler(java.lang.Class c)` Checks, whether a generic handler exists for the given class.

Method Detail

### getFactoryForClass

    public GenericObjectFactory getFactoryForClass(java.lang.Class c)

  Returns the generic factory for the given class or null, if there is no handler for this class. The factory will be reinitialized using getInstance().

  Parameters:
    `c` - the class for which we need a producer
  Returns:
    the factory for this class

### isGenericHandler

    public boolean isGenericHandler(java.lang.Class c)

  Checks, whether a generic handler exists for the given class. This does not check, whether an mapping exists.

  Parameters:
    `c` - the class for which to check
  Returns:
    true, if an generic handler is defined, false otherwise.

### getMultiplexDefinition

    public MultiplexMappingDefinition getMultiplexDefinition(java.lang.Class c)

  Returns the multiplex definition for the given class, or null, if no such definition exists.

  Parameters:
    `c` - the class for which to check the existence of the multiplexer
  Returns:
    the multiplexer for the class, or null if no multiplexer exists.

### getManualMappingDefinition

    public ManualMappingDefinition getManualMappingDefinition(java.lang.Class c)

  Returns the manual mapping definition for the given class, or null, if not manual definition exists.

  Parameters:
    `c` - the class for which to check the existence of the definition
  Returns:
    the manual mapping definition or null.